LinuxQuestions.org

LinuxQuestions.org (/questions/)
-   Slackware (http://www.linuxquestions.org/questions/slackware-14/)
-   -   ABIT "KN8 ultra" chipset "NFORCE4" & Slack 10.2 (http://www.linuxquestions.org/questions/slackware-14/abit-kn8-ultra-chipset-nforce4-and-slack-10-2-a-481046/)

k6_400 09-06-2006 04:31 PM

ABIT "KN8 ultra" chipset "NFORCE4" & Slack 10.2
 
I have a "KN8 ulta" motherboard; a slackware 10.2 (full installation, default kernel "sata.i" 2.4.31) runs on it.
Main things seems work enough but syslog tell me that some modules (SATA2, "hotplug" and "pciehp") fail:

Sep 6 00:35:33 darkstar
insmod: /lib/modules/2.4.31/kernel/drivers/scsi/sata_nv.o.gz: init_module:
No such device

Sep 6 00:35:33 darkstar
insmod: /lib/modules/2.4.31/kernel/drivers/hotplug/shpchp.o.gz: insmod
shpchp failed

Sep 6 00:35:33 darkstar
insmod: /lib/modules/2.4.31/kernel/drivers/hotplug/pciehp.o.gz:
init_module: No such device


I suppose that it occour because there is an incorrect management of
"NFORCE 4" chipset of my motherboard.
What can i do to solve these problems and utilize, for example, full
perfomance of SATA2 disks?

Sincerely thank you (Slack4ever!!! ;-)

raska 09-06-2006 04:44 PM

Check the nVidia Site for drivers.
Don't mind the "Supported Distributions" list :p

k6_400 09-06-2006 04:50 PM

Slackware seems not supported, why? There is another way? :(

raska 09-06-2006 05:00 PM

Download and execute this older driver

k6_400 09-06-2006 06:07 PM

But...

in the script i read:

"Description: The NVIDIA nForce Driver Set for Linux-x86
provides network and audio support for Linux-x86
using nForce chipsets."

an the SATA2 support? Is there not?
What do you think about?

Thanks, again... ;)


Nicola (from Italy)

raska 09-06-2006 06:13 PM

mmmmm not sure for that driver, the former driver (v 1.11) that I posted said on the web site it had the sata_nv.c but I haven't used it at all
I have an NForce4 Ultra chipset (it's and ASUS A8N-E mobo)
Though I got my SATA drives working from the kernel (looks SCSI to it) I only needed the latter driver (v 1.0-0310) for the network, the sound was also supported from the kernel.
Try to see which one fits you. You gotta lose the fear to break some stuff


All times are GMT -5. The time now is 11:00 AM.